<template>
  <div class="header" >
      <div class="left" v-if="text">
          <v-left :menu="menu" @closemenu="menuevent"></v-left>
      </div>
      <div class="right" > 
      <div class="top" > 
         <div  class="item">
           <img :src="url" alt=""  @click="ensure('菜单')" class="one">
           <div class="two">GIADA GALLER</div>
           <img :src="notify" alt=""  @click="ensure('通知')" class="three">
          </div>   
      </div>
      </div>
      </div>
</template>

<script type="text/ecmascript-6">
  import left from '@/components/left/left.vue'
  import config from '@/config'
  export default {
    data(){
      return{
        menu:['个人主页','积分商城','我的信息','我的权益','我的礼券','我的活动','我的地址','在线购买','退出账号'],
        text:false,
        url:config.url+'menu.png',
        notify:config.url+'notify.png'
      }
    },

    props:{
        list:{
        default(){
          return{
            type:'',
            couponId:'',
            activityId:'',
            noticeMsg:'',
            isRead:''
          }
        }
       }
      
    },
    components:{
       'v-left' : left,
    },
    methods:{
        menuevent(data){
          console.log('关闭');
          if(data === 'close'){
            this.text = false;
          }

        },
        ensure(data){
            console.log('1',data);
            if(data === '菜单'){
                this.text = !this.text;
                console.log('左侧菜单展开');
            }
             if(data === '通知'){
                console.log('跳转通知页',this.list);
                config.href(config.mainPage.notify+'?data='+JSON.stringify(this.list));
            }

        },
      
    },
    onLoad(){
      console.log('list',this.list);
    }

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.header{
    .left{
        float: left;
        width: 400rpx;
    }
    .right{
        width: 100%;
        position: fixed;
        top: 0;
        height: 81rpx;
        // z-index: 9999;
        z-index: 99;
        background: #fff;
        .top{
       display: flex;
       width: 100%;
       height: 0.81rem;
       border-bottom: 0.02rem solid #D2D2D3;
       .item{
         line-height: 0.8rem;
         text-align: center;
         .one{
           position: absolute;
           left: 0.42rem;
           top: 0.24rem;
           width: 0.37rem;
           height: 0.3rem;
         }
         .three{
           position: absolute;
           right: 0.42rem;
           top: 0.24rem;
           width: 0.33rem;
           height: 0.35rem;
         
         }
         .two{
           font-size: 0.3rem;
           font-family: Gill Sans;
           color: #333333;
           letter-spacing: 2px;
           position: absolute;
           left: 2.47rem;
         }
       }
     }

    }
    

}
  
</style>
